import 'package:flutter/material.dart';

class CircleCheckBox extends StatelessWidget {
  final bool _value = false;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: InkWell(
        onTap: () {
          // setState(() {
          //   _value = !_value;
          // });
        },
        child: Container(
          decoration: BoxDecoration(shape: BoxShape.circle, color: Colors.blue),
          child: Padding(
            padding: const EdgeInsets.all(10.0),
            child: _value
                ? Icon(
                    Icons.check,
                    size: 10.0,
                    color: Colors.white,
                  )
                : Icon(
                    Icons.check_box_outline_blank,
                    size: 10.0,
                    color: Colors.blue,
                  ),
          ),
        ),
      ),
    );
  }
}
